import React, { MouseEvent, MouseEventHandler } from 'react';
export type BreadCrumbType = {
    link: string;
    text: string;
};
export type PageWrapperProps = React.PropsWithChildren & {
    title?: string;
    breadCrumb?: BreadCrumbType[];
    breadCrumbOnClick?: (e: MouseEvent<HTMLAnchorElement>, item: BreadCrumbType) => void;
    homeText?: React.ReactNode;
    onClick?: MouseEventHandler<HTMLAnchorElement>;
    changeTitle?: boolean;
    siteTitle?: string;
    titleSeparator?: string;
};
export default function PageWrapper(props: PageWrapperProps): JSX.Element;
